# SourcePath: libcgi-pm-perl/20170320dev
Summary: Handle Common Gateway Interface requests and responses
Name: sony-target-dev-libcgi-pm-perl
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-libcgi-pm-perl
Version: 4.35
Release: 12010001
License: Artistic 1 & GPL 1
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
URL: https://wayland.freedesktop.org
Source: CGI-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prefix: %{sony_target_dir}

%description
Handle Common Gateway Interface requests and responses

%package -n %{pkgname}
Summary: Handle Common Gateway Interface requests and responses
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
Handle Common Gateway Interface requests and responses

%prep
%setup -n CGI-%{version}

%build
%sony_target_dev_setup
perl Makefile.PL
make

%install
rm -rf %{buildroot}
%sony_target_dev_setup
make install DESTDIR=%{buildroot}

# move the files to target directory
mkdir -p  %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}
mkdir -p  %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}

mv %{buildroot}%{sony_host_lib_dir}/*   %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}
mv %{buildroot}%{sony_host_data_dir}/*  %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_lib_dir}/*
%{sony_target_dir}%{sony_target_dev_data_dir}/*

%changelog
* Fri May 21 2021 Sony Corporation
- Initial build for CE Linux 12.1.0.X

* Mon Mar 20 2017 Sony Corporation
- Initial build
